Public Member Functions | Data Fields

# StringListReader Struct Reference

A reader that simply reads using fopen. More...

Inheritance diagram for StringListReader:

## Public Member Functions
| StringListReader (StringData &data, const LanguageStrings *strings, bool master, bool translation)
| Create the reader.
char * | ReadLine (char *buffer, size_t size)
| Read a single line from the source of strings.
void | HandlePragma (char *str)
| Handle the pragma of the file.
## Data Fields
const char *const * | p
| The current location of the iteration.
const char *const * | end
| The end of the iteration.

## Detailed Description

A reader that simply reads using fopen.

Definition at line 125 of file game_text.cpp.

## Constructor & Destructor Documentation

StringListReader::StringListReader | ( | StringData & | data,
|  | const LanguageStrings * | strings,
|  | bool | master,
|  | bool | translation |
| ) |  |  | `[inline]`

Create the reader.

Parameters:

  | data | The data to fill during reading.
  | file | The file we are reading.
  | master | Are we reading the master file?
  | translation | Are we reading a translation?

Definition at line 136 of file game_text.cpp.

## Member Function Documentation

void StringListReader::HandlePragma | ( | char * | str | ) | `[inline, virtual]`

Handle the pragma of the file.

Parameters:

  | str | The pragma string to parse.

Implements StringReader.

Definition at line 151 of file game_text.cpp.

char* StringListReader::ReadLine | ( | char * | buffer,
|  | size_t | size |
| ) |  |  | `[inline, virtual]`

Read a single line from the source of strings.

Parameters:

  | buffer | The buffer to read the data in to.
  | size | The size of the buffer.

Returns:
  The buffer, or NULL if at the end of the file.

Implements StringReader.

Definition at line 141 of file game_text.cpp.

References end, and p.

The documentation for this struct was generated from the following file:

- src/game/game_text.cpp